QXmpp: QXmppOmemoOwnDevice Class Reference

QXmpp Version: 1.14.3

Loading...
Searching...
No Matches
QXmppOmemoOwnDevice Class Reference

The QXmppOmemoOwnDevice class represents the XEP-0384: OMEMO Encryption device of this client instance. More...

## Public Member Functions
| QXmppOmemoOwnDevice ()
| QXmppOmemoOwnDevice (const QXmppOmemoOwnDevice &other)
| Copy-constructor.
| QXmppOmemoOwnDevice (QXmppOmemoOwnDevice &&) noexcept
| Move-constructor.
QXmppOmemoOwnDevice & | operator= (const QXmppOmemoOwnDevice &)
| Assignment operator.
QXmppOmemoOwnDevice & | operator= (QXmppOmemoOwnDevice &&)
| Move-assignment operator.
QString | label () const
void | setLabel (const QString &label)
QByteArray | keyId () const
void | setKeyId (const QByteArray &keyId)

## Detailed Description

The QXmppOmemoOwnDevice class represents the XEP-0384: OMEMO Encryption device of this client instance.

## Constructor & Destructor Documentation

## ◆ QXmppOmemoOwnDevice()

QXmppOmemoOwnDevice::QXmppOmemoOwnDevice | ( |  | ) |

Constructs an OMEMO device for this client instance.

## Member Function Documentation

## ◆ keyId()

QByteArray QXmppOmemoOwnDevice::keyId | ( |  | ) | const

Returns the ID of the public long-term key which never changes.

Returns
  public long-term key ID

## ◆ label()

QString QXmppOmemoOwnDevice::label | ( |  | ) | const

Returns the human-readable string used to identify the device by users.

If no label is set, a default-constructed QString is returned.

Returns
  the label to identify the device

## ◆ setKeyId()

void QXmppOmemoOwnDevice::setKeyId | ( | const QByteArray & | keyId | ) |

Sets the ID of the public long-term key which never changes.

Parameters

  keyId | public long-term key ID

## ◆ setLabel()

void QXmppOmemoOwnDevice::setLabel | ( | const QString & | label | ) |

Sets an optional human-readable string used to identify the device by users.

The label should not contain more than 53 characters.

Parameters

  label | label to identify the device

The documentation for this class was generated from the following files:

- QXmppOmemoManager.h
- QXmppOmemoManager.cpp